Map Texture
Total endpoints: 1
Example base URL: https://<ROBOT_IP>/rest
Required access for this section: USER
Get Map Texture
- Endpoint:
/api/v2/map-texture - Function: Proxy map image bytes through Wizard backend so frontend gets a same-origin blob usable by WebGL.
- Method:
GET - Parameters:
url(query,str)- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/map-texture?url=example" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/map-texture"
headers = {"Authorization": "Bearer <token>"}
params = {'url': 'example'}
response = requests.get(url, headers=headers, params=params, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):